MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027510Open CASCADE[OCCT] OCCT:Visualizationpublic2016-05-17 21:202016-12-09 16:37
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformMacOSOSOS VersionX
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027510: Visualization, OpenGl_Window - do not ignore backing store resize on OS X
DescriptionOpenGl_Window::Resize() skips resize event when window size is not changed. This prevents proper resize when moving window to the screen with another scale ratio.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0054096)
git (administrator)
2016-05-17 21:23

Branch CR27510 has been created by kgv.

SHA-1: 2046bb3653231bca66c2980ae597c55f5c7e0423


Detailed log of new commits:

Author: kgv
Date: Tue May 17 21:22:54 2016 +0300

    0027510: Visualization, OpenGl_Window - do not ignore backing store resize on OS X
(0054097)
kgv (developer)
2016-05-17 21:23

Please check compilation.
Regression testing is not needed.
(0054122)
apv (tester)
2016-05-19 10:34

Dear BugMaster,

Branch CR27510 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: 2046bb3653231bca66c2980ae597c55f5c7e0423

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 0 (0 on master)
products component:
   Linux: 72
   Windows: 4
   MacOS: 1141
(0054170)
git (administrator)
2016-05-20 12:20

Branch CR27510 has been deleted by inv.

SHA-1: 2046bb3653231bca66c2980ae597c55f5c7e0423

- Related Changesets
occt: master 5501f9a9
Timestamp: 2016-05-17 18:22:54
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027510: Visualization, OpenGl_Window - do not ignore backing store resize on OS X
mod - src/OpenGl/OpenGl_Window_1.mm Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-05-17 21:20 kgv New Issue
2016-05-17 21:20 kgv Assigned To => kgv
2016-05-17 21:23 git Note Added: 0054096
2016-05-17 21:23 kgv Note Added: 0054097
2016-05-17 21:23 kgv Assigned To kgv => bugmaster
2016-05-17 21:23 kgv Severity minor => trivial
2016-05-17 21:23 kgv Status new => resolved
2016-05-17 21:24 kgv Status resolved => reviewed
2016-05-18 09:41 apv Assigned To bugmaster => apv
2016-05-19 10:33 apv Test case number => Not needed
2016-05-19 10:34 apv Note Added: 0054122
2016-05-19 10:34 apv Assigned To apv => bugmaster
2016-05-19 10:34 apv Status reviewed => tested
2016-05-20 11:18 bugmaster Changeset attached => occt master 5501f9a9
2016-05-20 11:18 bugmaster Status tested => verified
2016-05-20 11:18 bugmaster Resolution open => fixed
2016-05-20 12:20 git Note Added: 0054170
2016-12-09 16:33 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker